package require TslcBDE 1.0
package require TslcBDE_utils 1.0


rename D {}
namespace eval TslcBDE {

	set alias Heath
	Database D
	D Params Add {User Name=SYSDBA}
	D Params Add {Password=masterkey}
	D LoginPrompt 0
	D AliasName $alias
	D Connected 1

	Query -db D Q
	Q Text {
		Select RDB$Relation_Name as Name  FROM RDB$RELATIONS
		Where RDB$Relation_Name not like "RDB$%" And
		RDB$Relation_Name not like "MAIL%"
		Order By RDB$Relation_Name
	}

	Q Open

	Table -db D T

	while ![Q EOF] {

		set tbl [Q Value Name]

		T Open $tbl -desc
		DataSetInfo T
		T Close

		Q Next
	}

	T Free

}
